'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.builder = exports.name = exports.desc = exports.alias = undefined;

var _copyDir = require('copy-dir');

var _copyDir2 = _interopRequireDefault(_copyDir);

var _isBlank = require('is-blank');

var _isBlank2 = _interopRequireDefault(_isBlank);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var alias = exports.alias = 'n';
var desc = exports.desc = 'Create new rj project';
var name = exports.name = 'new';

var builder = exports.builder = {};
var handler = exports.handler = function handler(argv) {
  var projName = argv['_'][1];

  if ((0, _isBlank2.default)(projName)) {
    console.error('rj expected a project name');
    process.exit(1);
  }

  mkdir(projName);
  _copyDir2.default.sync(_path2.default.join(__dirname, '../../../src/templates/new'), projName);
};

var mkdir = function mkdir(name) {
  try {
    _fs2.default.mkdirSync(name);
  } catch (e) {
    if (e.code === 'EEXIST') {
      console.error('rj could not create a project there, ' + name + ' already exists');
    } else {
      throw e;
    }
  }
};