#!/usr/bin/env node
'use strict';

var _yargs = require('yargs');

var _yargs2 = _interopRequireDefault(_yargs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _cmd = require('../utils/cmd');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var cmdsDir = _path2.default.join(__dirname, 'cmds');
var cmds = (0, _cmd.findCmds)(cmdsDir);

cmds.subs.map(function (sub) {
  if (sub.reqObjKeys.indexOf('builder') !== -1 && sub.reqObjKeys.indexOf('handler') !== -1) {
    var cmd = sub.reqObj;
    var cmdName = cmd.name || sub.name;
    var cmdDesc = cmd.desc;

    if (cmd.alias) {
      _yargs2.default.command(cmd.alias, false, cmd);
      cmdDesc += '\nAlias: ' + cmd.alias;
    }

    _yargs2.default.command(cmdName, cmdDesc, cmd);
  }
});

var argv = _yargs2.default.help('h').alias('h', 'help').epilog('copyright 2016').argv;

// Show help if no commands are given
if (!argv._ || argv._.length === 0) {
  _yargs2.default.showHelp();
}