'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _uppercamelcase = require('uppercamelcase');

var _uppercamelcase2 = _interopRequireDefault(_uppercamelcase);

var _parseProps2 = require('../utils/parse-props');

var _parseProps3 = _interopRequireDefault(_parseProps2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var buildComponent = function buildComponent(name, opts) {
  var componentName = (0, _uppercamelcase2.default)(name);

  var _parseProps = (0, _parseProps3.default)(opts.props);

  var asArgs = _parseProps.asArgs;
  var asLi = _parseProps.asLi;
  var asHash = _parseProps.asHash;


  return 'import React, { PropTypes } from \'react\'\n\nconst ' + componentName + ' = ({ ' + asArgs + ' }) => {\n  return (\n    <div>\n      <h1>Hello, I\'m located in components/' + name + '</h1>\n      <h3>I accept the following properties\n      <ul>\n' + asLi + '\n      </ul>\n    </div>\n  )\n}\n\n' + componentName + '.propTypes = {\n' + asHash + '\n}\n\nexport default ' + componentName + '\n';
};

exports.default = buildComponent;
module.exports = exports['default'];