'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol ? "symbol" : typeof obj; };

exports.default = configureStore;

var _redux = require('redux');

var _reactRouterRedux = require('react-router-redux');

var _reduxThunk = require('redux-thunk');

var _reduxThunk2 = _interopRequireDefault(_reduxThunk);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

var _reducers = require('./reducers');

var _reducers2 = _interopRequireDefault(_reducers);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var reduxRouter = (0, _reactRouterRedux.routerMiddleware)(_redux.browserHistory);

function configureStore(initialState) {
  var createStoreWithMiddleware = void 0;

  if (process.env.NODE_ENV !== 'production') {
    createStoreWithMiddleware = (0, _redux.compose)((0, _redux.applyMiddleware)(reduxRouter, _reduxThunk2.default, _logger2.default), (typeof window === 'undefined' ? 'undefined' : _typeof(window)) === 'object' && typeof window.devToolsExtension !== 'undefined' ? window.devToolsExtension() : function (f) {
      return f;
    })(_redux.createStore);
  } else {
    createStoreWithMiddleware = (0, _redux.compose)((0, _redux.applyMiddleware)(reduxRouter, _reduxThunk2.default))(_redux.createStore);
  }

  var store = createStoreWithMiddleware(_reducers2.default, initialState);

  if (module.hot) {
    // Enable Webpack hot module replacement for reducers
    module.hot.accept('./reducers', function () {
      var nextRootReducer = require('./reducers');
      store.replaceReducer(nextRootReducer);
    });
  }

  return store;
}