'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.showLoadingModal = showLoadingModal;
exports.hideLoadingModal = hideLoadingModal;
/* Constants */

var SHOW_LOADING_MODAL = 'SHOW_LOADING_MODAL';
var HIDE_LOADING_MODAL = 'HIDE_LOADING_MODAL';

/* Reducer */

var initialState = false;

function loadingReducer() {
  var state = arguments.length <= 0 || arguments[0] === undefined ? initialState : arguments[0];
  var action = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

  switch (action.type) {
    case SHOW_LOADING_MODAL:
      return true;

    case HIDE_LOADING_MODAL:
      return false;

    default:
      return state;
  }
}

exports.default = loadingReducer;

/* Actions */

function showLoadingModal() {
  return { type: SHOW_LOADING_MODAL };
}

function hideLoadingModal() {
  return { type: HIDE_LOADING_MODAL };
}