'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.immutableToJS = immutableToJS;

var _immutable = require('immutable');

/**
 * [immutableToJS
 *    converts properties of the provided [state] object from immutable
 *    data structures to regular JavaScript data structures - used with
 *    redux-logger
 *
 * @param  {object} state [state reference]
 * @return {object}       [transformed state]
 */
function immutableToJS(state) {
  return Object.keys(state).reduce(function (newState, key) {
    var val = state[key];
    newState[key] = _immutable.Iterable.isIterable(val) ? val.toJS() : val;
    return newState;
  }, {});
}