'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _isPresent = require('is-present');

var _isPresent2 = _interopRequireDefault(_isPresent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var parseProps = function parseProps() {
  var props = arguments.length <= 0 || arguments[0] === undefined ? [] : arguments[0];

  var parsedProps = { props: props };

  parsedProps.names = props.map(function (prop) {
    return prop.split(':')[0];
  });

  var hasChildrenProp = props.some(function (prop) {
    return prop.indexOf('children') === 0;
  });

  if (!hasChildrenProp) {
    parsedProps.names.push('children');
    parsedProps.props.push('children:array');
  }

  parsedProps.asArgs = parsedProps.names.join(', ');

  parsedProps.asHash = props.map(function (prop) {
    var _prop$split = prop.split(':');

    var _prop$split2 = _slicedToArray(_prop$split, 3);

    var name = _prop$split2[0];
    var type = _prop$split2[1];
    var required = _prop$split2[2];

    var str = '  ' + name + ': PropTypes.';
    str += type || 'string';

    if ((0, _isPresent2.default)(required)) {
      str += '.required';
    }

    return '' + str;
  }).join(',\n');

  parsedProps.asLi = parsedProps.names.map(function (prop) {
    return '        <li>' + prop + '</li>';
  }).join('\n');

  return parsedProps;
};

exports.default = parseProps;
module.exports = exports['default'];